import { line, curveStepAfter } from 'd3';

export const Line = ({ data, xScale, yScale }) => {
  const lineGen = line()
    .x((d) => xScale(d.date))
    .y((d) => yScale(d.rank))
  	.curve(curveStepAfter);

  return <path className="accent" d={lineGen(data)} />;
};
